OS_OBJECT_RESUME-PUT(1)

NAME
os_object_resume-put -

DESCRIPTION

Resume a previous multipart put.

Example:
    oci os object resume-put -ns mynamespace -bn mybucket --name myfile.txt --file /Users/me/myfile.txt --upload-id my-upload-id

USAGE

oci os object resume-put [OPTIONS]

REQUIRED PARAMETERS

-bn, --bucket-name [text]

    The name of the bucket.

--file [filename]

    The file to load as the content of the object.

--upload-id [text]

    Upload ID to resume.

OPTIONAL PARAMETERS

--disable-parallel-uploads

    If the object will be uploaded in multiple parts, this option disables those parts from being uploaded in parallel.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--name [text]

    The name of the object. Default value is the filename excluding the path.

-ns, --namespace, --namespace-name [text]

    The top-level namespace used for the request. If not provided, this parameter will be obtained internally using a call to 'oci os ns get'

--parallel-upload-count [integer range]

    This option allows you to specify the maximum number of parts that can be uploaded in parallel. This option cannot be used with --disable-parallel-uploads. Defaults to 3 and the maximum is 1000.

--part-size [integer]

    Part size in MiB

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle